Subject: bug#30131: 26.0.50; compile.el no longer calls compilation-parse-errors-filename-function

From: Gary Oberbrunner <[email-masked]>
Date: Mon, 15 Jan 2018 20:09:12 -0500

My apologies. I retract this patch. I had a bug on my end that made it look
like it wasn't calling my function, or not in the right place. But I just
retested it and it works fine.

-- Gary

On Mon, Jan 15, 2018 at 7:43 PM, Noam Postavsky <
[email-masked]> wrote:

> Gary Oberbrunner <[email-masked]> writes:
>
> > In git rev e335e1949, back in 2001,
> > compilation-parse-errors-filename-function was introduced to
> > compile.el, to postprocess filenames. Somewhere in the last few
> > months, emacs has stopped calling that function from
> > compilation-find-file, so it no longer works. (It's still called from
> > a function that now only is used for display, so it doesn't actually
> > find the processed filename.)
>
> As far as I can tell, it was never called from compilation-find-file.
> Not in e335e1949 that you referenced above, not in 25.3, 25.4, nor 24.3.
>
> In all recent Emacs versions, including latest emacs-26 and master, it
> is called from compilation-get-file-structure.
>
> (defun compilation-get-file-structure (file &optional fmt)
>   [...]
>     ;; If compilation-parse-errors-filename-function is
>         ;; defined, use it to process the filename.
>         (when compilation-parse-errors-filename-function
>           (setq filename
>                 (funcall compilation-parse-errors-filename-function
>                          filename)))
>

-- 
Gary